For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new project

Deploy new project from docker-compose.yaml contents or download contents from URL.

Create new project

post

Deploy new project from docker-compose.yaml contents or download contents from URL.

URL can be Github repository url in format https://github.com/[user]/[repo] and it will be automatically resolved to docker-compose.yaml file in master branch. Any other URL provided must return docker-compose.yaml file contents.

If project with the same name already exists, existing project will be replaced.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Body
project_namestring · min: 3 · max: 64Required

Docker Compose project name using alphanumeric characters, dashes, and underscores only

Example: my-project-1
contentstring · max: 8192Required

URL pointing to docker-compose.yaml file, Github repository or raw YAML content of the compose file

environmentstring · max: 8192 · nullableOptional

Project environment variables

Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
post/api/vps/v1/virtual-machines/{virtualMachineId}/docker
POST /api/vps/v1/virtual-machines/{virtualMachineId}/docker HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "project_name": "my-project-1",
  "content": "text",
  "environment": "text"
}
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?